> ## Documentation Index
> Fetch the complete documentation index at: https://goldrush.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# getEpochSchedule on Solana

> getEpochSchedule returns the epoch schedule from the cluster genesis config on Solana, via GoldRush JSON-RPC.

> [card] 0.01 credits per call

`getEpochSchedule` on **Solana**: Returns the epoch schedule from the cluster genesis config.

## Endpoint

```
https://rpc.goldrushdata.com/v1/solana-mainnet
```

Authenticate with `Authorization: Bearer <GOLDRUSH_API_KEY>`. See [authentication](https://goldrush.dev/docs/goldrush-json-rpc/authentication.md).

## Parameters

*This method takes no parameters.*

## Returns

`object`: `{slotsPerEpoch, leaderScheduleSlotOffset, warmup, firstNormalEpoch, firstNormalSlot}`.

```json theme={null}
{"slotsPerEpoch":432000,"leaderScheduleSlotOffset":432000,"warmup":false,"firstNormalEpoch":0,"firstNormalSlot":0}
```

## Examples

```bash curl theme={null}
curl https://rpc.goldrushdata.com/v1/solana-mainnet \
  -H "Authorization: Bearer $GOLDRUSH_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "getEpochSchedule",
    "params": []
  }'
```

```typescript @solana/kit theme={null}
import {
  createDefaultRpcTransport,
  createSolanaRpcFromTransport,
} from "@solana/kit";

const transport = createDefaultRpcTransport({
  url: "https://rpc.goldrushdata.com/v1/solana-mainnet",
  headers: { Authorization: `Bearer ${process.env.GOLDRUSH_API_KEY}` },
});
const rpc = createSolanaRpcFromTransport(transport);

const result = await rpc.getEpochSchedule().send();
console.log(result);
```

```python python theme={null}
import os
import requests

resp = requests.post(
    "https://rpc.goldrushdata.com/v1/solana-mainnet",
    headers={
        "Authorization": f"Bearer {os.environ['GOLDRUSH_API_KEY']}",
        "Content-Type": "application/json",
    },
    json={"jsonrpc": "2.0", "id": 1, "method": "getEpochSchedule", "params": []},
)
print(resp.json()["result"])
```

## Errors

Standard JSON-RPC errors: `-32600` invalid request, `-32601` method not found, `-32602` invalid params.

## Related Network info methods on Solana

* [`getEpochInfo` on Solana](https://goldrush.dev/docs/api-reference/json-rpc/solana/getepochinfo)
* [`getFeeForMessage` on Solana](https://goldrush.dev/docs/api-reference/json-rpc/solana/getfeeformessage)
* [`getRecentPrioritizationFees` on Solana](https://goldrush.dev/docs/api-reference/json-rpc/solana/getrecentprioritizationfees)
* [`getMinimumBalanceForRentExemption` on Solana](https://goldrush.dev/docs/api-reference/json-rpc/solana/getminimumbalanceforrentexemption)
* [`getGenesisHash` on Solana](https://goldrush.dev/docs/api-reference/json-rpc/solana/getgenesishash)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.